<?PHP
    // =========================================================================
    // lmo_blitztabelle.php
    // =========================================================================
    // Anzeige der aktuellen Tabelle
    // =========================================================================
    // -------------------
    // bergabe-Parameter:
    // -------------------
    // ***********************************************************************************
    // Aufruf:
    // -----------------------------------------------------------------------------------
    // ZeigeBlitzTabelle([Art], [LigaFile], [Mannschaften])
    //
    // -------------------------------------------------------------------------------------------------

    function ZeigeBlitzTabelle($modus    = 0,
                               $art      = 2,
                               $incFile  = "lmo_ped_dat.inc",
                               $incMann  = "lmo_ped_mann.inc",
                               $paraFile = "lmo_std_para_bt.php",
                               $cssFile  = "lmo_ped_css.php")

    {
        // =====================================================================
        // Parameter setzen
        // ---------------------------------------------------------------------
        // Aktueller Pfad basteln
        $aktPfad = str_replace("\\", "/", dirname(__File__));
        // ---------------------------------------------------------------------
        // ini-File einlesen
        include($aktPfad . "/lmo_ped_ini.php");
        // bergabeparamter berschreibt Voreinstellung
         if ($modus != $mode)
         {
            $mode = $modus;
         }
        // Parameter einlesen
        include($arrIni["pfadInc"] . "lmo_set_parameter.php");
        // -------------------------------------------------------------------------

        // ---------------------------------------------------------------------
        // Ligen, Mannschaften und Favoriten einlesen
        if ($art == 2)
        {
            include($arrIni["pfadInc"] . "lmo_lese_ligen.php");
        }
        // ---------------------------------------------------------------------

        // Aktuelles Datum-File
        $dateFile      = $arrIni["dataDir"] . "akt_date.php";
        // Existiert das Datum-File als include im internen Liga-Verzeichnis?
        // Wenn nein -> erstellen
        if ($mode == 1 || !file_exists($dateFile))
        {
            include_once($arrIni["pfadInc"] . "lmo_tabelle_func.php");
            writeDateFile($dateFile);
            include_once($dateFile);
        }
        else
        {
            include_once($dateFile);
        }

         //defines einlesen
        require_once($arrIni["pfadInc"] . "/lmo_tabelle_defines.php");

        // Ende allgemeine Variablen
        // ----------------------------------------------------------------------------
        // Wurde berhaupt gespielt ?
        $gespielt = 0;
        echo "<table align=" . $arrPara["alignTable"] . ">";
            echo "<tr>";
                echo "<th colspan=" . $arrPara["tabBreite"] .
                     "    align="   . $arrPara["alignTitel"] . ">";
                    echo "Blitztabelle";
                echo "</th>";
            echo "</tr>";

           // Array fllen:
            switch ($art)
            {
               // 1 = Einzelmannschaft, $incFile = einzelnes Ergebnis-File
                case 1:
                {
                    $arrHead      = NULL;
                    $arrTeam      = NULL;
                    $arrStatistik = NULL;
                    $arrVerlauf   = NULL;
                    $arrTabPlatz  = NULL;
                    $tabFile      = $aktPfad . "/data/" . basename($incFile,".l98") . ".php";

                    // Existiert das Ligafile als include ?
                    // Wenn nein -> erstellen
                    if ($mode == 1 || !file_exists($tabFile))
                    {
                        include_once($arrIni["pfadInc"] . "lmo_tabelle_func.php");
                        GetBlTData($arrLigaFile[$i], &$arrHead, &$arrTeam, &$arrStatistik,
                                   &$arrVerlauf, &$arrTabPlatz, &$gespielt);
                        writeTabFile($tabFile, $arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam, $gespielt);
                    }
                    else
                    {
                        include($tabFile);
                    }
                    if ($arrPara["anzLiga"] == 1)
                    {
                        echo "<tr>";
                            echo "<td colspan=" . $arrPara["tabBreite"] .
                                 "    align="   . $arrPara["alignZeile2Name"] . " class='Zeile2'>";
                                echo $arrHead[conHEAD_NAME];
                            echo "</td>";
                        echo "</tr>";
                    }
                    // Anzeige
                    showBlTTable($arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam,
                                 $arrIni, $arrPara);
                    break;
                } // Ende case 1:
                // 2 = mehrere Mannschaften, $incFile = Datei mit Ligen
                case 2:
                {
                    // Einlesen der Tabellen
                    for ($i = 0; $i < sizeof($arrLigaFile); $i++)
                    {
                        $arrHead      = NULL;
                        $arrTeam      = NULL;
                        $arrStatistik = NULL;
                        $arrVerlauf   = NULL;
                        $arrTabPlatz  = NULL;
                        $tabFile      = $aktPfad . "/data/" . basename($arrLigaFile[$i],".l98") . ".php";
                        
                        // Existiert das Ligafile als include ?
                        // Wenn nein -> erstellen
                        if (!file_exists($tabFile) || $mode == 1)
                        {
                            include_once($arrIni["pfadInc"] . "lmo_tabelle_func.php");
                            GetData($arrLigaFile[$i], &$arrHead, &$arrTeam, &$arrStatistik,
                                    &$arrVerlauf, &$arrTabPlatz, &$gespielt);
                            writeTabFile($tabFile, $arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam, $gespielt);
                        }
                        else
                        {
                            include($tabFile);
                        }
                        if ($arrPara["anzLiga"] == 1)
                        {
                            echo "<tr>";
                                echo "<td colspan=" . $arrPara["tabBreite"] .
                                    "    align="   . $arrPara["alignZeile2Name"] . " class='Zeile2'>";
                                    echo $arrHead[conHEAD_NAME];
                                echo "</td>";
                            echo "</tr>";
                        }
                        // Anzeige
                        showBlTTable($arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam,
                                     $arrIni, $arrPara);
                        // Lcke nur bis zur vorletzten Liga
                        if ($i < sizeof($arrLigaFile) - 1)
                        {
                            echo "<tr>";
                                echo "<td colspan=" . $arrPara["tabBreite"] . "style='border-style:none;'>";
                                echo "</td>";
                            echo "</tr>";
                        } // Ende if ... (Lcke nur bis zur vorletzten Liga)
                    } // Ende for ... Einlesen der Tabellen
                    break;
                } // Ende case 2:
            } // Ende switch
            // Copyrights
            require($pedCopyRight);
        echo "</table>";
    } // Ende function
    // ------------------------------------------------------------------------------------------------


    function showBlTTable($arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam,
                          $arrIni, $arrPara)
    {
        $posChamp        = 0;
        $posCahmpL       = 0;
        $posChampQual    = 0;
        $posAufst        = 0;
        $posAbstieg      = 0;
        $posReleg        = 0;
        $spTag           = $arrHead[conHEAD_ACTUAL];

        $arrTabPlatzAkt  = explode(";", $arrTabPlatz[$spTag]);
        $arrTabPlatzPrev = explode(";", $arrTabPlatz[$spTag - 1]);

        for ($i = 0; $i < sizeof($arrTabPlatzAkt); $i++)
        {
            $arrTabPlatzAkt[$i]  = (int)$arrTabPlatzAkt[$i];
            $arrTabPos[$i]       = array_search($arrTabPlatzAkt[$i], $arrTabPlatzPrev);
        }

        // Champ-Markierung
        $posChamp    = $arrHead[conHEAD_CHAMP];
        // Champions-League-Markierung
        $posChampL   = $arrHead[conHEAD_CHAMP] + $arrHead[conHEAD_CL];
        // Aufsteiger/UEFA-Pokal-Markierung
        $posChampQ   = $arrHead[conHEAD_CHAMP] + $arrHead[conHEAD_CL] + $arrHead[conHEAD_CK];
        // Aufsteiger/UEFA-Pokal-Markierung
        $posAufstieg = $arrHead[conHEAD_CHAMP] + $arrHead[conHEAD_CL] + $arrHead[conHEAD_CK] + $arrHead[conHEAD_UC];

        // Absteiger-Markierung
        if ($arrHead[conHEAD_AB] > 0)
        {
            $posAbstieg = $arrHead[conHEAD_TEAMS] - $arrHead[conHEAD_AB];
        }
        // Relegation-Markierung
        if ($arrHead[conHEAD_AR] > 0)
        {
            $posReleg = $posAbstieg - $arrHead[conHEAD_AR];
        }

        echo "<tr>";
            $dummy = 4 - ($arrPara["anzVeraender"] == 0 ? 2 : ($arrPara["anzVeraender"] == 1 ? 0 : 1));
            echo "<td colspan='$dummy'>";
                echo "<b>";
                    echo "<a style='font-size:".  $arrPara["fontSize"] . ";' href=" . $arrIni["pfadLMO"] . "lmo.php?file=" . $arrHead[conHEAD_FILE] . "&action=results&st=" . $spTag . " target='_self' title='Tabelle/Begegnungen des " . $spTag . ". Spieltages anzeigen'>";
                        echo "$spTag .Spieltag";
                    echo "</a>";
                echo "</b>";
            echo "</td>";

            if ($arrPara["anzSpiele"])
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "Sp";
                    echo "</b>";
                echo "</td>";
            }
            if ($arrPara["anzSiege"])
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "s";
                    echo "</b>";
                echo "</td>";
            }
            if ($arrHead[conHEAD_HIDE_DRAW] == 0 && $arrPara["anzUnent"] == 1)
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "u";
                    echo "</b>";
                echo "</td>";
            }
            if ($arrPara["anzNiederl"])
            {
                echo "<td align='right'>";
                    echo "<b>";
                        echo "n";
                    echo "<b>";
                echo "</td>";
            }
            echo "<td align='right'>";
                echo "<b>";
                    echo $arrHead[conHEAD_NAME_PKT];
                echo "</b>";
            echo "</td>";
            if ($arrPara["anzTore"])
            {
                echo "<td colspan='3' align='center'>";
                    echo "<b>";
                        echo $arrHead[conHEAD_NAME_TOR];
                    echo "</b>";
                echo "</td>";
                if ($arrPara["anzDiff"])
                {
                    echo "<td align='right'>";
                        echo "<b>";
                            echo "Diff";
                        echo "</b>";
                    echo "</td>";
                }
            }
        echo "</tr>";

        $pos = 1;

        for ($i = 0; $i < $arrHead[conHEAD_TEAMS]; $i++)
        {
            $backColorCell = $arrPara["cellBkColor"];

            if ($posChamp != 0 && $i < $posChamp)
            {
                $backColorCell = $arrPara["colorChamp"];
            }
            if ($posAufstieg != 0 && $i < $posAufstieg)
            {
                $backColorCell = $arrPara["colorAufst"];
            }
            if ($posChampQ != 0 && $i < $posChampQ)
            {
                $backColorCell = $arrPara["colorChampQ"];
            }
            if ($posChampL != 0 && $i < $posChampL)
            {
                $backColorCell = $arrPara["colorChampL"];
            }
            if ($i == 0 && $posChamp > 0)
            {
                $backColorCell = $arrPara["colorChamp"];
            }

            if ($posReleg != 0 && $i >= $posReleg)
            {
                $backColorCell = $arrPara["colorRelegat"];
            }
            if ($posAbstieg != 0 && $i >= $posAbstieg)
            {
                $backColorCell = $arrPara["colorAbstieg"];
            }

            $arrAktSpielTag = explode(";", $arrVerlauf[$arrTabPlatzAkt[$i]]);
            echo "<tr>";
                echo "<td align='right' style='background:$backColorCell;'>";
                    echo $pos++;
                echo "</td>";
                if ($arrPara["anzVeraender"])
                {
                    echo "<td align='center' style='background:$backColorCell;'>";
                        if ($i == $arrTabPos[$i] || $spTag == 1)
                        {
                            echo "<font color='" . $arrPara["colorNeutral"] . "'>";
                                echo "&bull;";
                            echo "</font>";
                        }
                        else if ($i < $arrTabPos[$i])
                        {
                            echo "<font color='" . $arrPara["colorPlus"] . "'>";
                                if ($arrPara["anzVeraender"] == 2) { echo "+" . ($i - $arrTabPos[$i]) * -1; }
                                else                               { echo "&uarr;"; }
                            echo "</font>";
                        }
                        else if ($i >  $arrTabPos[$i])
                        {
                            echo "<font color='" . $arrPara["colorNegativ"] . "'>";
                                if ($arrPara["anzVeraender"] == 2) { echo "-" . ($i - $arrTabPos[$i]); }
                                else                               { echo "&darr;"; }
                            echo "</font>";
                        }
                    echo "</td>";
                    if ($arrPara["anzVeraender"] == 1)
                    {
                        echo "<td align='right' style='background:$backColorCell;'>";
                            echo "(" . ($arrTabPos[$i] + 1) . ")";
                        echo "</td>";
                    }
                }
                echo "<td style='background:$backColorCell;'>";
                    if ($arrPara["anzFavorit"] && $arrTabPlatzAkt[$i] + 1 == $arrHead[conHEAD_FAV_TEAM])
                    {
                        echo "<b>";
                    }
                    echo $arrTeam[$arrTabPlatzAkt[$i]][$arrPara["anzTeamName"]];
                    if ($arrPara["anzFavorit"] && $arrTabPlatzAkt[$i] + 1 == $arrHead[conHEAD_FAV_TEAM])
                    {
                        echo "</b>";
                    }
                echo "</td>";
                if ($arrPara["anzSpiele"])
                {
                    echo "<td align='right' style='background:$backColorCell;'>";
                        echo $arrAktSpielTag[7];
                    echo "</td>";
                }
                if ($arrPara["anzSiege"])
                {
                    echo "<td align='right' style='background:$backColorCell;'>";
                        echo $arrAktSpielTag[4];
                    echo "</td>";
                }
                if ($arrHead[conHEAD_HIDE_DRAW] == 0 && $arrPara["anzUnent"] == 1)
                {
                    echo "<td align='right' style='background:$backColorCell;'>";
                        echo $arrAktSpielTag[5];
                    echo "</td>";
                }
                if ($arrPara["anzNiederl"])
                {
                    echo "<td align='right' style='background:$backColorCell;'>";
                        echo $arrAktSpielTag[6];
                    echo "</td>";
                }
                echo "<td align='right' style='background:$backColorCell;'>";
                    echo "<b>";
                        echo $arrAktSpielTag[0];
                    echo "</b>";
                echo "</td>";
                if ($arrPara["anzTore"])
                {
                    echo "<td align='right' style='background:$backColorCell;'>";
                        echo $arrAktSpielTag[2];
                    echo "</td>";
                    echo "<td align='center' style='background:$backColorCell;'>";
                        echo "&nbsp;:";
                    echo "</td>";
                    echo "<td align='right' style='background:$backColorCell;'>";
                        echo $arrAktSpielTag[3];
                    echo "</td>";
                    if ($arrPara["anzDiff"])
                    {
                        echo "<td align='right' style='background:$backColorCell;'>";
                            echo $arrAktSpielTag[2] - $arrAktSpielTag[3];
                        echo "</td>";
                    }
                }
            echo "</tr>";
        }
    }
?>